%define	oname	Solaar
%define _udevrulesdir /etc/udev/rules.d

Name:		solaar
Version:		0.9.2
Release:	%mkrel 1
License:		GPLv2
Summary:	Device manager for Logitech's Unifying Receiver
Url:			http://pwr.github.com/Solaar/
Group:		System/Kernel and hardware
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires: %{_lib}girepository-devel
Requires:	pyudev
Requires:	python-gobject3

%description
Solaar is a Linux device manager for Logitech’s Unifying Receiver
peripherals. It is able to pair/unpair devices to the receiver, and
for most devices read battery status.

It comes in two flavors, command-line and GUI. Both are able to list
the devices paired to a Unifying Receiver, show detailed info for
each device, and also pair/unpair supported devices with the receiver.

%prep
%setup -q -n %{oname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_udevrulesdir}
cp rules.d/42-logitech-unify-permissions.rules %{buildroot}%{_udevrulesdir}

%files
%doc share/README docs
%dir %{_datadir}/%{name}/
%dir %{python_sitelib}/*
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/*/*/*/%{name}.svg
%{python_sitelib}/%{name}-%{version}-py2.7.egg-info
%{python_sitelib}/*/*
%config %{_udevrulesdir}/42-logitech-unify-permissions.rules


%changelog
* Sun Jun 07 2015 bb <bb> 0.9.2-1pclos2015
- import into pclos
